%global debug_package %{nil}

Name: kubectx
Version: v0.9.5
Release: 1%{?dist}
Summary: kubectx is a tool to switch between contexts (clusters) on kubectl faster.
Group: Unspecified
License: Apache License V2
URL: https://github.com/ahmetb/kubectx
Source0: https://github.com/ahmetb/kubectx/releases/download/%{version}/kubectx_%{version}_linux_x86_64.tar.gz
BuildRequires: rpm-build 
Requires: filesystem

%description
kubectx is a handy command-line tool that makes it easier to switch
between Kubernetes contexts—essentially, different clusters or user
configurations—without having to type out long kubectl commands each
time. It’s especially useful when you're juggling multiple clusters
and want to avoid the hassle of remembering or typing full context names.
It works alongside another tool called kubens, which helps you switch
between namespaces within a cluster just as easily.
Together, they streamline your Kubernetes workflow and reduce the
chance of accidentally running commands in the wrong environment.

%prep
%setup -c -T
tar -xzf %{SOURCE0} -C .

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
cp -f kubectx %{buildroot}%{_bindir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0755,root,root,-)
%{_bindir}/kubectx
%license LICENSE

%changelog
* Fri Jun 27 2025 Paulo Sousa <sousa.paulo.1975@gmail.com> v0.9.5-1
- Initial RPM release
